-- studentA
dofile("scripts/entities/entityinclude.lua")

function init()
	setupConversationEntity("")
	entity_initSkeletal("mer", "StudentA")
	entity_animate("idle", -1)
	entity_scale(0.7, 0.7)
	entity_setActivation(AT_CLICK, 80, 256)
	if isMapName("TrainingGrounds") then
		if getFlag("VedhaCave1") == 10 or getFlag("VedhaCave1") == 5 then
			entity_animate("practice", -1)
		else
			entity_delete()
		end
	end
end

function update(dt)
end

function enterState()
end

function exitState()
end

function activate()
	entity_flipHToAvatar()
	if isMapName("TrainingGrounds") then
		if getFlag("VedhaCave1")==10 then
			simpleConversation("StudentA_DraskMissing")
		else
			msg1("StudentA: no convo yet!")
		end
	end
end

